## node-nwmatcher 1.3.3%2Bdfsg

=== debian/tests/control ===
Test-Command: nodejs -e "require('"'"'nwmatcher'"'"');"
Depends: @

## node-nwmatcher 1.3.3+dfsg

=== Makefile ===
# Makefile
#
# NWMatcher distribution builder
#
# currently just a wrapper for:
#
# - nwjslint.sh (writes to lint.log)
# - nwpackjs.sh (writes to dist.log)
#

# getting path
SOURCES=./

# resets default rules
.SUFFIXES:

# just in case they exists
.PHONY: all clean dist lint test

# add a SILENT flag to stop
# showing directories access
ifeq ($(filter -s,$(MAKEFLAGS)),)
MAKEFLAGS += -s
endif

# shell scripts
SCRIPTS=${SOURCES}/build/scripts

# default all stages
all:
	@make clean ${SOURCES}
	@make lint ${SOURCES}
	@make dist ${SOURCES}
	@make test ${SOURCES}

# clean stage
clean:
	@rm -f dist/nwmatcher.js
	@rm -f dist/nwmatcher-min.js
	@rm -f dist/nwmatcher-pac.js
	@rm -f dist/nwmatcher-src.js
	@rm -f dist/nwmatcher-zip.js
	@rm -f dist/lint.log

# dist stage
dist:
	@${SCRIPTS}/nwpackjs.sh ${SOURCES}

# lint stage
lint:
	@${SCRIPTS}/nwjslint.sh ${SOURCES}

# test stage
test:
	@${SCRIPTS}/nwtestjs.sh ${SOURCES}

=== debian/changelog ===
node-nwmatcher (1.3.3+dfsg-2ubuntu1) bionic; urgency=medium

  * Fix quoting for autopkgtest >= 5.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Mar 2018 14:45:11 +0000

node-nwmatcher (1.3.3+dfsg-2) unstable; urgency=low

  * Initial release (Closes: #761434)
  * Added missing copyright information

 -- W. Martin Borgert <debacle@debian.org>  Wed, 01 Oct 2014 21:05:27 +0000

node-nwmatcher (1.3.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #761434)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 21 Sep 2014 10:15:42 +0000

=== debian/control ===
Source: node-nwmatcher
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.5
Homepage: https://github.com/dperini/nwmatcher/
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-nwmatcher.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-nwmatcher.git
XS-Testsuite: autopkgtest

Package: node-nwmatcher
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Description: CSS3-compliant JavaScript selector engine
 NWMatcher is a highly compliant CSS3 selector engine built upon
 a very fast “bottom-up” element matcher.

=== debian/tests/control ===
Test-Command: nodejs -e "require('nwmatcher');"
Depends: @

## node-nwmatcher 1.4.4

=== debian/changelog ===
node-nwmatcher (1.4.4-1) unstable; urgency=medium

  * Set myself as uploader (Closes: #892607)
  * Add debian/watch
  * New upstream version 1.4.4
  * Update debian/copyright
  * Switch install to pkg-js-tools
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Add "Rules-Requires-Root: no"

 -- Xavier Guimard <yadd@debian.org>  Sat, 28 Sep 2019 08:46:21 +0200

node-nwmatcher (1.3.3+dfsg-3) unstable; urgency=medium

  * Team upload
  * Switch to autopkgtest-pkg-nodejs (Closes: #894947)
  * Update Vcs-* fields for move to salsa
  * Switch to Section: javascript, Priority: optional
  * Use secure copyright format URI
  * Bump Standards-Version to 4.3.0, no further changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 25 May 2019 11:29:17 +0000

=== debian/control ===
Source: node-nwmatcher
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Build-Depends: debhelper-compat (= 12)
 , nodejs
 , pkg-js-tools (>= 0.9.12~)
Standards-Version: 4.4.0
Homepage: https://github.com/dperini/nwmatcher/
Vcs-Git: https://salsa.debian.org/js-team/node-nwmatcher.git
Vcs-Browser: https://salsa.debian.org/js-team/node-nwmatcher
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-nwmatcher
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Description: CSS3-compliant JavaScript selector engine
 NWMatcher is a highly compliant CSS3 selector engine built upon
 a very fast “bottom-up” element matcher.

=== debian/watch ===
version=4
# It is not recommended use npmregistry. Please investigate more.
# Origin url: https://github.com/dperini/nwmatcher
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,pgpmode=none" \
 https://registry.npmjs.org/nwmatcher \
 https://registry.npmjs.org/nwmatcher/-/nwmatcher-(\d[\d\.]*)@ARCHIVE_EXT@
